* The Fiscally Moderate Italian Populist Voter: Evidence from a Survey Experiment
* Party Politics
* 2018
* Franchino, Fabio and Fedra Negri

*** Wald tests of joint significance: M5S vs. PD
version 14
use data.dta, clear

*PTV M5S
tab D072_04
count if D072_04==12
*The dataset excludes 'I do not know' (D072_01=12)
drop if D072_04==12
rename D072_04 m5s

*PTV PD
tab D072_01
count if D072_01==12
drop if D072_01==12
*The dataset excludes 'I do not know' (D072_01=12)
rename D072_01 pd

reg Y1 i.unemployment##c.pd i.inflation##c.pd i.taxsoc##c.pd i.euro##c.pd ///
i.eucontrol##c.pd i.eutaxsoc##c.pd i.unemployment##c.m5s i.inflation##c.m5s i.taxsoc##c.m5s i.euro##c.m5s ///
i.eucontrol##c.m5s i.eutaxsoc##c.m5s, cl(ID)

test 3.taxsoc#c.pd=3.taxsoc#c.m5s
* the effect of more spending on the probability to choose a policy package for M5S supporters is statistically different from the one for PD supporters (p-value = 0.022)

test 2.euro#c.pd=2.euro#c.m5s
* the effect of ditching the euro on the probability to choose a programme for M5S supporters is statistically different from the one for PD supporters (p-value = 0)

*** Wald tests of joint significance: M5S vs. FI
use data.dta, clear

*PTV M5S
tab D072_04
count if D072_04==12
*The dataset excludes 'I do not know' (D072_01=12)
drop if D072_04==12
rename D072_04 m5s

*PTV FI
tab D072_02
count if D072_02==12
*The dataset excludes 'I do not know' (D072_01=12)
drop if D072_02==12
rename D072_02 fi

reg Y1 i.unemployment##c.fi i.inflation##c.fi i.taxsoc##c.fi ///
i.euro##c.fi i.eucontrol##c.fi i.eutaxsoc##c.fi i.unemployment##c.m5s i.inflation##c.m5s i.taxsoc##c.m5s i.euro##c.m5s ///
i.eucontrol##c.m5s i.eutaxsoc##c.m5s, cl(ID)

test 3.taxsoc#c.fi=3.taxsoc#c.m5s
* the effect of more spending on the probability to choose a policy package for M5S supporters is indistinguishable from the effect for FI supporters (p-value = 0.946)

test 2.euro#c.fi=2.euro#c.m5s
* the effect of ditching the euro on the probability to choose a programme for M5S supporters is indistinguishable from the effect for FI supporters (p-value = 0.330).


