* The Fiscally Moderate Italian Populist Voter: Evidence from a Survey Experiment
* Party Politics
* 2018
* Franchino, Fabio and Fedra Negri

* Figure 2: Differences in the probability of preferring a full employment-spending programme
version 14
use data.dta, clear

* the dataset excludes respondents who did/could not vote at the 2013 national elections and those who did not respond
* vote choice at the 2013 national elections 
tab VC_D060
label list VC_D060

* Party reference category: PdL

reg Y1 i.unemployment##ib7.VC_D060 i.inflation##ib7.VC_D060 i.taxsoc##ib7.VC_D060 ///
i.euro##ib7.VC_D060 i.eucontrol##ib7.VC_D060 i.eutaxsoc##ib7.VC_D060, cl(ID) 

* Saving the estimates
estimates store m1
estimates save m1.ster, replace

************** Profile comparison: 13% vs. 1% unemployment rate, cut vs. more taxation and spending
estimates use m1.ster
est des
preserve
drawnorm MG_b1-MG_b200, n(10000) means(e(b)) cov(e(V)) clear seed(1)
postutil clear
postfile mypost prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi using sim.dta, replace
noisily display "start"
* 13% unemployment rate, cut taxation and spending
scalar une2=0
scalar une3=0
scalar une4=0
scalar inf2=0
scalar inf3=0
scalar inf4=0
scalar taxs2=1
scalar taxs3=0
scalar euro2=0
scalar ctrl2=0
scalar ctrl3=0
scalar eusoc2=0
scalar eusoc3=0
generate x_betahat0 = MG_b2*une2 + MG_b3*une3 + MG_b4*une4 + MG_b51*inf2 + MG_b52*inf3 + MG_b53*inf4 + MG_b91*taxs2 + MG_b92*taxs3 + MG_b121*euro2 ///
+ MG_b141*ctrl2 + MG_b142*ctrl3 + MG_b171*eusoc2 + MG_b172*eusoc3 
* Comparison une4, taxs3
* 1% unemployment rate, more taxation and spending
scalar une2=0
scalar une3=0
scalar une4=1
scalar inf2=0
scalar inf3=0
scalar inf4=0
scalar taxs2=0
scalar taxs3=1
scalar euro2=0
scalar ctrl2=0
scalar ctrl3=0
scalar eusoc2=0
scalar eusoc3=0
generate x_betahat1 = MG_b2*une2 + MG_b3*une3 + MG_b4*une4 + MG_b51*inf2 + MG_b52*inf3 + MG_b53*inf4 + MG_b91*taxs2 + MG_b92*taxs3 + MG_b121*euro2 ///
+ MG_b141*ctrl2 + MG_b142*ctrl3 + MG_b171*eusoc2 + MG_b172*eusoc3 
gen prob0=normal(x_betahat0)
gen prob1=normal(x_betahat1)
gen diff=prob1-prob0
egen probhat0=mean(prob0)
egen probhat1=mean(prob1)
egen diffhat=mean(diff)
tempname prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi   
_pctile prob0, p(2.5,97.5) 
scalar `lo0' = r(r1)
scalar `hi0' = r(r2)  
_pctile prob1, p(2.5,97.5)
scalar `lo1'= r(r1)
scalar `hi1'= r(r2)  
_pctile diff, p(2.5,97.5)
scalar `diff_lo'= r(r1)
scalar `diff_hi'= r(r2)  
scalar `prob_hat0'=probhat0
scalar `prob_hat1'=probhat1
scalar `diff_hat'=diffhat
post mypost (`prob_hat0') (`lo0') (`hi0') (`prob_hat1') (`lo1') (`hi1') (`diff_hat') (`diff_lo') (`diff_hi')
drop x_betahat0 x_betahat1 prob0 prob1 diff probhat0 probhat1 diffhat 
display ""
postclose mypost
use sim.dta, clear
save sim2.dta, replace
restore, not

************** Profile comparison: 13% vs. 1% unemployment rate, cut vs. more taxation and spending, keep vs ditch euro as the national currency
estimates use m1.ster
est des
preserve
drawnorm MG_b1-MG_b200, n(10000) means(e(b)) cov(e(V)) clear seed(1)
postutil clear
postfile mypost prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi using sim.dta, replace
noisily display "start"
* 13% unemployment rate, cut taxation and spending, euro as the national currency
scalar une2=0
scalar une3=0
scalar une4=0
scalar inf2=0
scalar inf3=0
scalar inf4=0
scalar taxs2=1
scalar taxs3=0
scalar euro2=0
scalar ctrl2=0
scalar ctrl3=0
scalar eusoc2=0
scalar eusoc3=0
generate x_betahat0 = MG_b2*une2 + MG_b3*une3 + MG_b4*une4 + MG_b51*inf2 + MG_b52*inf3 + MG_b53*inf4 + MG_b91*taxs2 + MG_b92*taxs3 + MG_b121*euro2 ///
+ MG_b141*ctrl2 + MG_b142*ctrl3 + MG_b171*eusoc2 + MG_b172*eusoc3 
* Comparison une4, taxs3
* 1% unemployment rate, more taxation and spending, dicth the euro
scalar une2=0
scalar une3=0
scalar une4=1
scalar inf2=0
scalar inf3=0
scalar inf4=0
scalar taxs2=0
scalar taxs3=1
scalar euro2=1
scalar ctrl2=0
scalar ctrl3=0
scalar eusoc2=0
scalar eusoc3=0
generate x_betahat1 = MG_b2*une2 + MG_b3*une3 + MG_b4*une4 + MG_b51*inf2 + MG_b52*inf3 + MG_b53*inf4 + MG_b91*taxs2 + MG_b92*taxs3 + MG_b121*euro2 ///
+ MG_b141*ctrl2 + MG_b142*ctrl3 + MG_b171*eusoc2 + MG_b172*eusoc3 
gen prob0=normal(x_betahat0)
gen prob1=normal(x_betahat1)
gen diff=prob1-prob0
egen probhat0=mean(prob0)
egen probhat1=mean(prob1)
egen diffhat=mean(diff)
tempname prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi   
_pctile prob0, p(2.5,97.5) 
scalar `lo0' = r(r1)
scalar `hi0' = r(r2)  
_pctile prob1, p(2.5,97.5)
scalar `lo1'= r(r1)
scalar `hi1'= r(r2)  
_pctile diff, p(2.5,97.5)
scalar `diff_lo'= r(r1)
scalar `diff_hi'= r(r2)  
scalar `prob_hat0'=probhat0
scalar `prob_hat1'=probhat1
scalar `diff_hat'=diffhat
post mypost (`prob_hat0') (`lo0') (`hi0') (`prob_hat1') (`lo1') (`hi1') (`diff_hat') (`diff_lo') (`diff_hi')
drop x_betahat0 x_betahat1 prob0 prob1 diff probhat0 probhat1 diffhat 
display ""
postclose mypost
use sim2.dta, clear
append using sim.dta
save sim2.dta, replace
restore, not

gen MV = _n

eclplot diff_hat diff_hi diff_lo MV, hor estopts(msize(small)) rplottype(rspike) ciopts(msize(small)) graphregion(fcolor(white)) ysca(noline) ytitle ("") ///
title("PdL", size(3)) xtitle(" ", size(2)) ylabel(1 " " 2 " ", noticks nogrid labsize(2)) ///
xlabel(.02 "0.02" 0 "0" -.02 "-0.02" -.04 "-0.04", nogrid labsize(2)) xline(0, lcolor(black) lwidth(medthin)) ///
text(1.5 -.03 "Unemployment 13%" "Cut Tax/Spend" "Euro", place(c) just(center) size(2)) text(1.5 .02 "Unemployment 1%" "More Tax/Spend", place(c) just(center) size(2)) ///
text(1.95 .02 "No Euro", place(c) just(center) size(2)) text(1.05 .02 "Euro", place(c) just(center) size(2)) saving(FIGURE2_pdl, replace)

* The Fiscally Moderate Italian Populist Voter: Evidence from a Survey Experiment
* Party Politics
* 2018
* Franchino, Fabio and Fedra Negri

* Figure 2: Differences in Probability of a Full Employment-Spending Programme Being Preferred
clear all
use data.dta, clear

* Party reference category: PD
reg Y1 i.unemployment##ib3.VC_D060 i.inflation##ib3.VC_D060 i.taxsoc##ib3.VC_D060 ///
i.euro##ib3.VC_D060 i.eucontrol##ib3.VC_D060 i.eutaxsoc##ib3.VC_D060, cl(ID) 

* Saving the estimates
estimates store m1
estimates save m1.ster, replace

************** Profile comparison: 13% vs. 1% unemployment rate, cut vs. more taxation and spending
estimates use m1.ster
est des
preserve
drawnorm MG_b1-MG_b200, n(10000) means(e(b)) cov(e(V)) clear seed(1)
postutil clear
postfile mypost prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi using sim.dta, replace
noisily display "start"
* 13% unemployment rate, cut taxation and spending
scalar une2=0
scalar une3=0
scalar une4=0
scalar inf2=0
scalar inf3=0
scalar inf4=0
scalar taxs2=1
scalar taxs3=0
scalar euro2=0
scalar ctrl2=0
scalar ctrl3=0
scalar eusoc2=0
scalar eusoc3=0
generate x_betahat0 = MG_b2*une2 + MG_b3*une3 + MG_b4*une4 + MG_b51*inf2 + MG_b52*inf3 + MG_b53*inf4 + MG_b91*taxs2 + MG_b92*taxs3 + MG_b121*euro2 ///
+ MG_b141*ctrl2 + MG_b142*ctrl3 + MG_b171*eusoc2 + MG_b172*eusoc3 
* Comparison une4, taxs3
* 1% unemployment rate, more taxation and spending
scalar une2=0
scalar une3=0
scalar une4=1
scalar inf2=0
scalar inf3=0
scalar inf4=0
scalar taxs2=0
scalar taxs3=1
scalar euro2=0
scalar ctrl2=0
scalar ctrl3=0
scalar eusoc2=0
scalar eusoc3=0
generate x_betahat1 = MG_b2*une2 + MG_b3*une3 + MG_b4*une4 + MG_b51*inf2 + MG_b52*inf3 + MG_b53*inf4 + MG_b91*taxs2 + MG_b92*taxs3 + MG_b121*euro2 ///
+ MG_b141*ctrl2 + MG_b142*ctrl3 + MG_b171*eusoc2 + MG_b172*eusoc3 
gen prob0=normal(x_betahat0)
gen prob1=normal(x_betahat1)
gen diff=prob1-prob0
egen probhat0=mean(prob0)
egen probhat1=mean(prob1)
egen diffhat=mean(diff)
tempname prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi   
_pctile prob0, p(2.5,97.5) 
scalar `lo0' = r(r1)
scalar `hi0' = r(r2)  
_pctile prob1, p(2.5,97.5)
scalar `lo1'= r(r1)
scalar `hi1'= r(r2)  
_pctile diff, p(2.5,97.5)
scalar `diff_lo'= r(r1)
scalar `diff_hi'= r(r2)  
scalar `prob_hat0'=probhat0
scalar `prob_hat1'=probhat1
scalar `diff_hat'=diffhat
post mypost (`prob_hat0') (`lo0') (`hi0') (`prob_hat1') (`lo1') (`hi1') (`diff_hat') (`diff_lo') (`diff_hi')
drop x_betahat0 x_betahat1 prob0 prob1 diff probhat0 probhat1 diffhat 
display ""
postclose mypost
use sim.dta, clear
save sim2.dta, replace
restore, not

************** Profile comparison: 13% vs. 1% unemployment rate, cut vs. more taxation and spending, keep vs ditch euro as the national currency
estimates use m1.ster
est des
preserve
drawnorm MG_b1-MG_b200, n(10000) means(e(b)) cov(e(V)) clear seed(1)
postutil clear
postfile mypost prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi using sim.dta, replace
noisily display "start"
* 13% unemployment rate, cut taxation and spending, euro as the national currency
scalar une2=0
scalar une3=0
scalar une4=0
scalar inf2=0
scalar inf3=0
scalar inf4=0
scalar taxs2=1
scalar taxs3=0
scalar euro2=0
scalar ctrl2=0
scalar ctrl3=0
scalar eusoc2=0
scalar eusoc3=0
generate x_betahat0 = MG_b2*une2 + MG_b3*une3 + MG_b4*une4 + MG_b51*inf2 + MG_b52*inf3 + MG_b53*inf4 + MG_b91*taxs2 + MG_b92*taxs3 + MG_b121*euro2 ///
+ MG_b141*ctrl2 + MG_b142*ctrl3 + MG_b171*eusoc2 + MG_b172*eusoc3 
* Comparison une4, taxs3
* 1% unemployment rate, more taxation and spending, dicth the euro
scalar une2=0
scalar une3=0
scalar une4=1
scalar inf2=0
scalar inf3=0
scalar inf4=0
scalar taxs2=0
scalar taxs3=1
scalar euro2=1
scalar ctrl2=0
scalar ctrl3=0
scalar eusoc2=0
scalar eusoc3=0
generate x_betahat1 = MG_b2*une2 + MG_b3*une3 + MG_b4*une4 + MG_b51*inf2 + MG_b52*inf3 + MG_b53*inf4 + MG_b91*taxs2 + MG_b92*taxs3 + MG_b121*euro2 ///
+ MG_b141*ctrl2 + MG_b142*ctrl3 + MG_b171*eusoc2 + MG_b172*eusoc3 
gen prob0=normal(x_betahat0)
gen prob1=normal(x_betahat1)
gen diff=prob1-prob0
egen probhat0=mean(prob0)
egen probhat1=mean(prob1)
egen diffhat=mean(diff)
tempname prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi   
_pctile prob0, p(2.5,97.5) 
scalar `lo0' = r(r1)
scalar `hi0' = r(r2)  
_pctile prob1, p(2.5,97.5)
scalar `lo1'= r(r1)
scalar `hi1'= r(r2)  
_pctile diff, p(2.5,97.5)
scalar `diff_lo'= r(r1)
scalar `diff_hi'= r(r2)  
scalar `prob_hat0'=probhat0
scalar `prob_hat1'=probhat1
scalar `diff_hat'=diffhat
post mypost (`prob_hat0') (`lo0') (`hi0') (`prob_hat1') (`lo1') (`hi1') (`diff_hat') (`diff_lo') (`diff_hi')
drop x_betahat0 x_betahat1 prob0 prob1 diff probhat0 probhat1 diffhat 
display ""
postclose mypost
use sim2.dta, clear
append using sim.dta
save sim2.dta, replace
restore, not

gen MV = _n

eclplot diff_hat diff_hi diff_lo MV, hor estopts(msize(small)) rplottype(rspike) ciopts(msize(small)) graphregion(fcolor(white)) ysca(noline) ytitle ("") ///
title("PD", size(3)) xtitle(" ", size(2)) ylabel(1 " " 2 " ", noticks nogrid labsize(2)) ///
xlabel(.08 "0.08".04 "0.04" 0 "0" -.04 "-0.04" -.08 "-0.08", nogrid labsize(2)) xline(0, lcolor(black) lwidth(medthin)) ///
text(1.5 -.07 "Unemployment 13%" "Cut Tax/Spend" "Euro", place(c) just(center) size(2)) text(1.5 .07 "Unemployment 1%" "More Tax/Spend", place(c) just(center) size(2)) ///
text(1.95 .07 "No Euro", place(c) just(center) size(2)) text(1.05 .07 "Euro", place(c) just(center) size(2)) saving(FIGURE2_pd, replace)

* The Fiscally Moderate Italian Populist Voter: Evidence from a Survey Experiment
* Party Politics
* 2018
* Franchino, Fabio and Fedra Negri

* Figure 2: Differences in Probability of a Full Employment-Spending Programme Being Preferred
clear all
use data.dta, clear

* Party reference category: M5S
reg Y1 i.unemployment##ib4.VC_D060 i.inflation##ib4.VC_D060 i.taxsoc##ib4.VC_D060 ///
i.euro##ib4.VC_D060 i.eucontrol##ib4.VC_D060 i.eutaxsoc##ib4.VC_D060, cl(ID) 

* Saving the estimates
estimates store m1
estimates save m1.ster, replace

************** Profile comparison: 13% vs. 1% unemployment rate, cut vs. more taxation and spending
estimates use m1.ster
est des
preserve
drawnorm MG_b1-MG_b200, n(10000) means(e(b)) cov(e(V)) clear seed(1)
postutil clear
postfile mypost prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi using sim.dta, replace
noisily display "start"
* 13% unemployment rate, cut taxation and spending
scalar une2=0
scalar une3=0
scalar une4=0
scalar inf2=0
scalar inf3=0
scalar inf4=0
scalar taxs2=1
scalar taxs3=0
scalar euro2=0
scalar ctrl2=0
scalar ctrl3=0
scalar eusoc2=0
scalar eusoc3=0
generate x_betahat0 = MG_b2*une2 + MG_b3*une3 + MG_b4*une4 + MG_b51*inf2 + MG_b52*inf3 + MG_b53*inf4 + MG_b91*taxs2 + MG_b92*taxs3 + MG_b121*euro2 ///
+ MG_b141*ctrl2 + MG_b142*ctrl3 + MG_b171*eusoc2 + MG_b172*eusoc3 
* Comparison une4, taxs3
* 1% unemployment rate, more taxation and spending
scalar une2=0
scalar une3=0
scalar une4=1
scalar inf2=0
scalar inf3=0
scalar inf4=0
scalar taxs2=0
scalar taxs3=1
scalar euro2=0
scalar ctrl2=0
scalar ctrl3=0
scalar eusoc2=0
scalar eusoc3=0
generate x_betahat1 = MG_b2*une2 + MG_b3*une3 + MG_b4*une4 + MG_b51*inf2 + MG_b52*inf3 + MG_b53*inf4 + MG_b91*taxs2 + MG_b92*taxs3 + MG_b121*euro2 ///
+ MG_b141*ctrl2 + MG_b142*ctrl3 + MG_b171*eusoc2 + MG_b172*eusoc3 
gen prob0=normal(x_betahat0)
gen prob1=normal(x_betahat1)
gen diff=prob1-prob0
egen probhat0=mean(prob0)
egen probhat1=mean(prob1)
egen diffhat=mean(diff)
tempname prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi   
_pctile prob0, p(2.5,97.5) 
scalar `lo0' = r(r1)
scalar `hi0' = r(r2)  
_pctile prob1, p(2.5,97.5)
scalar `lo1'= r(r1)
scalar `hi1'= r(r2)  
_pctile diff, p(2.5,97.5)
scalar `diff_lo'= r(r1)
scalar `diff_hi'= r(r2)  
scalar `prob_hat0'=probhat0
scalar `prob_hat1'=probhat1
scalar `diff_hat'=diffhat
post mypost (`prob_hat0') (`lo0') (`hi0') (`prob_hat1') (`lo1') (`hi1') (`diff_hat') (`diff_lo') (`diff_hi')
drop x_betahat0 x_betahat1 prob0 prob1 diff probhat0 probhat1 diffhat 
display ""
postclose mypost
use sim.dta, clear
save sim2.dta, replace
restore, not

************** Profile comparison: 13% vs. 1% unemployment rate, cut vs. more taxation and spending, keep vs ditch euro as the national currency
estimates use m1.ster
est des
preserve
drawnorm MG_b1-MG_b200, n(10000) means(e(b)) cov(e(V)) clear seed(1)
postutil clear
postfile mypost prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi using sim.dta, replace
noisily display "start"
* 13% unemployment rate, cut taxation and spending, euro as the national currency
scalar une2=0
scalar une3=0
scalar une4=0
scalar inf2=0
scalar inf3=0
scalar inf4=0
scalar taxs2=1
scalar taxs3=0
scalar euro2=0
scalar ctrl2=0
scalar ctrl3=0
scalar eusoc2=0
scalar eusoc3=0
generate x_betahat0 = MG_b2*une2 + MG_b3*une3 + MG_b4*une4 + MG_b51*inf2 + MG_b52*inf3 + MG_b53*inf4 + MG_b91*taxs2 + MG_b92*taxs3 + MG_b121*euro2 ///
+ MG_b141*ctrl2 + MG_b142*ctrl3 + MG_b171*eusoc2 + MG_b172*eusoc3 
* Comparison une4, taxs3
* 1% unemployment rate, more taxation and spending, dicth the euro
scalar une2=0
scalar une3=0
scalar une4=1
scalar inf2=0
scalar inf3=0
scalar inf4=0
scalar taxs2=0
scalar taxs3=1
scalar euro2=1
scalar ctrl2=0
scalar ctrl3=0
scalar eusoc2=0
scalar eusoc3=0
generate x_betahat1 = MG_b2*une2 + MG_b3*une3 + MG_b4*une4 + MG_b51*inf2 + MG_b52*inf3 + MG_b53*inf4 + MG_b91*taxs2 + MG_b92*taxs3 + MG_b121*euro2 ///
+ MG_b141*ctrl2 + MG_b142*ctrl3 + MG_b171*eusoc2 + MG_b172*eusoc3 
gen prob0=normal(x_betahat0)
gen prob1=normal(x_betahat1)
gen diff=prob1-prob0
egen probhat0=mean(prob0)
egen probhat1=mean(prob1)
egen diffhat=mean(diff)
tempname prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi   
_pctile prob0, p(2.5,97.5) 
scalar `lo0' = r(r1)
scalar `hi0' = r(r2)  
_pctile prob1, p(2.5,97.5)
scalar `lo1'= r(r1)
scalar `hi1'= r(r2)  
_pctile diff, p(2.5,97.5)
scalar `diff_lo'= r(r1)
scalar `diff_hi'= r(r2)  
scalar `prob_hat0'=probhat0
scalar `prob_hat1'=probhat1
scalar `diff_hat'=diffhat
post mypost (`prob_hat0') (`lo0') (`hi0') (`prob_hat1') (`lo1') (`hi1') (`diff_hat') (`diff_lo') (`diff_hi')
drop x_betahat0 x_betahat1 prob0 prob1 diff probhat0 probhat1 diffhat 
display ""
postclose mypost
use sim2.dta, clear
append using sim.dta
save sim2.dta, replace
restore, not

gen MV = _n

eclplot diff_hat diff_hi diff_lo MV, hor estopts(msize(small)) rplottype(rspike) ciopts(msize(small)) graphregion(fcolor(white)) ysca(noline) ytitle ("") ///
title("M5S", size(3)) xtitle(" ", size(2)) ylabel(1 " " 2 " ", noticks nogrid labsize(2)) ///
xlabel(.12 "0.12" .08 "0.08" .04 "0.04" 0 "0" -.02 "-0.02", nogrid labsize(2)) xline(0, lcolor(black) lwidth(medthin)) ///
text(1.5 -.015 "Unemployment 13%" "Cut Tax/Spend" "Euro", place(c) just(center) size(2)) text(1.5 .085 "Unemployment 1%" "More Tax/Spend", place(c) just(center) size(2)) ///
text(1.95 .085 "No Euro", place(c) just(center) size(2)) text(1.05 .085 "Euro", place(c) just(center) size(2)) saving(FIGURE2_m5s, replace)

graph combine  FIGURE2_m5s.gph FIGURE2_pd.gph FIGURE2_pdl.gph, col(3) graphregion(fcolor(white)) imargin(0 0 0 0) saving(FIGURE2, replace)

