* The Fiscally Moderate Italian Populist Voter: Evidence from a Survey Experiment
* Party Politics
* 2018
* Franchino, Fabio and Fedra Negri

* Figure 3: Marginal effects of selected attributes, conditional on respondents’ propensity to vote 

version 14
use data.dta, clear

*PTV PD
tab D072_01
count if D072_01==12
drop if D072_01==12
*The dataset excludes 'I do not know' (D072_01=12)
rename D072_01 pd

reg Y1 i.unemployment##c.pd i.inflation##c.pd i.taxsoc##c.pd i.euro##c.pd ///
i.eucontrol##c.pd i.eutaxsoc##c.pd, cl(ID)

margins, dydx(2.taxsoc) at(pd=(1(1)11))
marginsplot, ylab(,nogrid noticks) xlab(,noticks) title ("PD") ytitle("") yline(0, lcolor(black) lwidth(medthin)) legend (off) graphregion(fcolor(white)) xtitle(PTV) saving(FIGURE3_PD_taxspend, replace)

margins, dydx(2.euro) at(pd=(1(1)11)) 
marginsplot, ylab(,nogrid noticks) xlab(,noticks) title ("PD") ytitle("") yline(0, lcolor(black) lwidth(medthin)) legend (off) graphregion(fcolor(white)) xtitle(PTV)  saving(FIGURE3_PD_euro, replace)

clear

*PTV M5S
use data.dta, clear
tab D072_04
count if D072_04==12
*The dataset excludes 'I do not know' (D072_01=12)
drop if D072_04==12
rename D072_04 m5s

reg Y1 i.unemployment##c.m5s i.inflation##c.m5s i.taxsoc##c.m5s i.euro##c.m5s ///
i.eucontrol##c.m5s i.eutaxsoc##c.m5s, cl(ID)

margins, dydx(2.taxsoc) at(m5s=(1(1)11))
marginsplot, ylab(,nogrid noticks) xlab(,noticks)  title ("M5S") ytitle("") yline(0, lcolor(black) lwidth(medthin)) legend (off) graphregion(fcolor(white)) xtitle(PTV) saving(FIGURE3_M5S_taxspend, replace)

margins, dydx(2.euro) at(m5s=(1(1)11))
marginsplot, ylab(,nogrid noticks) xlab(,noticks)  title ("M5S") ytitle("") yline(0, lcolor(black) lwidth(medthin)) legend (off) graphregion(fcolor(white)) xtitle(PTV) saving(FIGURE3_M5S_euro, replace)

clear

*PTV FI
use data.dta, clear
tab D072_02
count if D072_02==12
*The dataset excludes 'I do not know' (D072_01=12)
drop if D072_02==12
rename D072_02 fi

reg Y1 i.unemployment##c.fi i.inflation##c.fi i.taxsoc##c.fi ///
i.euro##c.fi i.eucontrol##c.fi i.eutaxsoc##c.fi, cl(ID)

margins, dydx(2.taxsoc) at(fi=(1(1)11)) 
marginsplot, ylab(,nogrid noticks) xlab(,noticks)  title ("FI") ytitle("") yline(0, lcolor(black) lwidth(medthin)) legend (off) graphregion(fcolor(white)) xtitle(PTV) saving(FIGURE3_FI_taxspend, replace)

margins, dydx(2.euro) at(fi=(1(1)11))
marginsplot, ylab(,nogrid noticks) xlab(,noticks)  title ("FI") ytitle("") yline(0, lcolor(black) lwidth(medthin)) legend (off) graphregion(fcolor(white)) xtitle(PTV) saving(FIGURE3_FI_euro, replace)

clear


*PTV LN
use data.dta, clear
tab D072_05
count if D072_05==12
*The dataset excludes 'I do not know' (D072_01=12)
drop if D072_05==12
rename D072_05 lega

reg Y1 i.unemployment##c.lega i.inflation##c.lega i.taxsoc##c.lega ///
i.euro##c.lega i.eucontrol##c.lega i.eutaxsoc##c.lega, cl(ID)

margins, dydx(2.taxsoc) at(lega=(1(1)11)) 
marginsplot, ylab(,nogrid noticks) xlab(,noticks)  title ("LN") ytitle("") yline(0, lcolor(black) lwidth(medthin)) legend (off) graphregion(fcolor(white)) xtitle(PTV) saving(FIGURE3_LN_taxspend, replace)

margins, dydx(2.euro) at(lega=(1(1)11)) 
marginsplot, ylab(,nogrid noticks) xlab(,noticks)  title ("LN") ytitle("") yline(0, lcolor(black) lwidth(medthin)) legend (off) graphregion(fcolor(white)) xtitle(PTV) saving(FIGURE3_LN_euro, replace)

clear


*PTV SEL
use data.dta, clear
tab D072_06
count if D072_06==12
*The dataset excludes 'I do not know' (D072_01=12)
drop if D072_06==12
rename D072_06 sel

reg Y1 i.unemployment##c.sel i.inflation##c.sel i.taxsoc##c.sel ///
i.euro##c.sel i.eucontrol##c.sel i.eutaxsoc##c.sel, cl(ID)

margins, dydx(2.taxsoc) at(sel=(1(1)11)) 
marginsplot, ylab(,nogrid noticks) xlab(,noticks)  title ("SEL") ytitle("") yline(0, lcolor(black) lwidth(medthin)) legend (off) graphregion(fcolor(white)) xtitle(PTV) saving(FIGURE3_SEL_taxspend, replace)

margins, dydx(2.euro) at(sel=(1(1)11)) 
marginsplot, ylab(,nogrid noticks) xlab(,noticks)  title ("SEL") ytitle("") yline(0, lcolor(black) lwidth(medthin)) ylabel(0(0.1)-0.4) ysc(r(0 -0.4)) legend (off) graphregion(fcolor(white)) xtitle(PTV) saving(FIGURE3_SEL_euro, replace)


gr combine FIGURE3_SEL_taxspend.gph FIGURE3_PD_taxspend.gph FIGURE3_M5S_taxspend.gph FIGURE3_FI_taxspend.gph FIGURE3_LN_taxspend.gph, ///
graphregion(fcolor(white)) col(3) saving(FIGURE3_taxspend, replace) title(Less national taxation and spending, size(medium))

gr combine FIGURE3_SEL_euro.gph FIGURE3_PD_euro.gph FIGURE3_M5S_euro.gph FIGURE3_FI_euro.gph FIGURE3_LN_euro.gph, ///
graphregion(fcolor(white)) col(3) saving(FIGURE3_euro, replace) title(Ditching the euro, size(medium))

