* The Fiscally Moderate Italian Populist Voter: Evidence from a Survey Experiment
* Party Politics
* 2018
* Franchino, Fabio and Fedra Negri

* Figure A3: Diagnostic tests for framing effects
version 14

* Carryover effects
use data.dta, clear
reg Y1 i.unemployment i.inflation i.taxsoc i.euro i.eucontrol i.eutaxsoc if programme==1 | programme==2, cl(ID)
parmest, label norestore
drop in 20
sencode parm,gene(parmid)
save sim.dta, replace

eclplot estimate min95 max95 parmid in 1/19, estopts(msize(small)) rplottype(rspike) ciopts(msize(small)) graphregion(fcolor(white)) hor ysca(noline) xline(0, lpattern(dot) lcolor(black) lwidth(medthin)) ///
xlabel(-.15 "-0.15" -.05 "-0.05" 0 "0" .05 "0.05" .15 "0.15", noticks nogrid labsize(2)) xtitle("Effect on P(select programme)", size(2)) ytitle("") ///
title("Task 1", size(2)) ytitle("") ///
text(0.5 -0.3 "{it:Unemployment:}", place(c) just(center) size(2)) ///
text(4.5 -0.3 "{it:Inflation:}", place(c) just(center) size(2)) ///
text(8.5 -0.3 "{it:Tax-spend:}", place(c) just(center) size(2)) ///
text(11.5 -0.3 "{it:Euro:}", place(c) just(center) size(2)) ///
text(13.5 -0.3 "{it:Budget control:}", place(c) just(center) size(2)) ///
text(16.5 -0.3 "{it: EU tax-spend:}", place(c) just(center) size(2)) ///
ylabel(1 "13%" 2 "7%" 3 "3%" 4 "1%" 5 "0.5%" 6 "2%" 7 "5%" 8 "8%" ///
9 "Adequate" 10 "Less" 11 "More" ///
12 "Keep it" 13 "Ditch it" 14 "Adequate" 15 "Less" 16 "More" ///
17 "Against" 18 "Additional" 19 "Alternate", noticks nogrid labsize(2)) saving(FIGUREA3_task1,replace)

use data.dta, clear
reg Y1 i.unemployment i.inflation i.taxsoc i.euro i.eucontrol i.eutaxsoc if  programme==3 | programme==4, cl(ID)
parmest, label norestore
drop in 20
sencode parm,gene(parmid)
save sim.dta, replace

eclplot estimate min95 max95 parmid in 1/19, estopts(msize(small)) rplottype(rspike) ciopts(msize(small)) graphregion(fcolor(white)) hor ysca(noline) xline(0, lpattern(dot) lcolor(black) lwidth(medthin)) ///
xlabel(-.15 "-0.15" -.05 "-0.05" 0 "0" .05 "0.05" .15 "0.15", noticks nogrid labsize(2)) xtitle("Effect on P(select programme)", size(2)) ytitle("") ///
title("Task 2", size(2)) ytitle("") ///
text(0.5 -0.3 "{it:Unemployment:}", place(c) just(center) size(2)) ///
text(4.5 -0.3 "{it:Inflation:}", place(c) just(center) size(2)) ///
text(8.5 -0.3 "{it:Tax-spend:}", place(c) just(center) size(2)) ///
text(11.5 -0.3 "{it:Euro:}", place(c) just(center) size(2)) ///
text(13.5 -0.3 "{it:Budget control:}", place(c) just(center) size(2)) ///
text(16.5 -0.3 "{it: EU tax-spend:}", place(c) just(center) size(2)) ///
ylabel(1 "13%" 2 "7%" 3 "3%" 4 "1%" 5 "0.5%" 6 "2%" 7 "5%" 8 "8%" ///
9 "Adequate" 10 "Less" 11 "More" ///
12 "Keep it" 13 "Ditch it" 14 "Adequate" 15 "Less" 16 "More" ///
17 "Against" 18 "Additional" 19 "Alternate", noticks nogrid labsize(2)) saving(FIGUREA3_task2,replace)

* Profile order effects
use data.dta, clear
reg Y1 i.unemployment i.inflation i.taxsoc i.euro i.eucontrol i.eutaxsoc if programme==1 | programme==3, cl(ID)
parmest, label norestore
drop in 20
sencode parm,gene(parmid)
save sim.dta, replace

eclplot estimate min95 max95 parmid in 1/19, estopts(msize(small)) rplottype(rspike) ciopts(msize(small)) graphregion(fcolor(white)) hor ysca(noline) xline(0, lpattern(dot) lcolor(black) lwidth(medthin)) ///
xlabel(-.15 "-0.15" -.05 "-0.05" 0 "0" .05 "0.05" .15 "0.15", noticks nogrid labsize(2)) xtitle("Effect on P(select programme)", size(2)) ytitle("") ///
title("Order 1", size(2)) ytitle("") ///
text(0.5 -0.3 "{it:Unemployment:}", place(c) just(center) size(2)) ///
text(4.5 -0.3 "{it:Inflation:}", place(c) just(center) size(2)) ///
text(8.5 -0.3 "{it:Tax-spend:}", place(c) just(center) size(2)) ///
text(11.5 -0.3 "{it:Euro:}", place(c) just(center) size(2)) ///
text(13.5 -0.3 "{it:Budget control:}", place(c) just(center) size(2)) ///
text(16.5 -0.3 "{it: EU tax-spend:}", place(c) just(center) size(2)) ///
ylabel(1 "13%" 2 "7%" 3 "3%" 4 "1%" 5 "0.5%" 6 "2%" 7 "5%" 8 "8%" ///
9 "Adequate" 10 "Less" 11 "More" ///
12 "Keep it" 13 "Ditch it" 14 "Adequate" 15 "Less" 16 "More" ///
17 "Against" 18 "Additional" 19 "Alternate", noticks nogrid labsize(2)) saving(FIGUREA3_order1,replace)

use data.dta, clear
reg Y1 i.unemployment i.inflation i.taxsoc i.euro i.eucontrol i.eutaxsoc if programme==2 | programme==4, cl(ID)
parmest, label norestore
drop in 20
sencode parm,gene(parmid)
save sim.dta, replace

eclplot estimate min95 max95 parmid in 1/19, estopts(msize(small)) rplottype(rspike) ciopts(msize(small)) graphregion(fcolor(white)) hor ysca(noline) xline(0, lpattern(dot) lcolor(black) lwidth(medthin)) ///
xlabel(-.15 "-0.15" -.05 "-0.05" 0 "0" .05 "0.05" .15 "0.15", noticks nogrid labsize(2)) xtitle("Effect on P(select programme)", size(2)) ytitle("") ///
title("Order 2", size(2)) ytitle("") ///
text(0.5 -0.3 "{it:Unemployment:}", place(c) just(center) size(2)) ///
text(4.5 -0.3 "{it:Inflation:}", place(c) just(center) size(2)) ///
text(8.5 -0.3 "{it:Tax-spend:}", place(c) just(center) size(2)) ///
text(11.5 -0.3 "{it:Euro:}", place(c) just(center) size(2)) ///
text(13.5 -0.3 "{it:Budget control:}", place(c) just(center) size(2)) ///
text(16.5 -0.3 "{it: EU tax-spend:}", place(c) just(center) size(2)) ///
ylabel(1 "13%" 2 "7%" 3 "3%" 4 "1%" 5 "0.5%" 6 "2%" 7 "5%" 8 "8%" ///
9 "Adequate" 10 "Less" 11 "More" ///
12 "Keep it" 13 "Ditch it" 14 "Adequate" 15 "Less" 16 "More" ///
17 "Against" 18 "Additional" 19 "Alternate", noticks nogrid labsize(2)) saving(FIGUREA3_order2,replace)

graph combine FIGUREA3_task1.gph FIGUREA3_task2.gph FIGUREA3_order1.gph FIGUREA3_order2.gph, col(4) graphregion(fcolor(white)) saving(FIGUREA3, replace)
